Bug 91639 - system wide menu changes are overwritten by KDE
system wide menu changes are overwritten by KDE
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-26 12:04 EDT by Leon Koch
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-03 07:20:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leon Koch 2003-05-26 12:04:19 EDT
Description of problem:
When I make manual changes to the contents of /var/lib/menu/kde/ the changes are
automatically over written when ever I restart KDE.

Version-Release number of selected component (if applicable):
3.1.2-0.9x.2

How reproducible:
Always.

Steps to Reproduce:
1. Move any existing files or create a new file anywhere in /var/lib/menu/kde/
2. Restart X
3. The files you moved are moved back, and the files you created are gone.
    
Actual results:
The file system is mangled by KDE.

Expected results:
The files stay the way I put them.

Additional info:
Comment 1 Ngo Than 2003-05-26 15:08:55 EDT
You should not change the desktop files in the directory /var/lib/menu/kde.
All changes will be lost be by next KDE restart.

The system wide menus (desktop files) are in /usr/share/applications. If you
want to change your system wide menu, please make the change in this directory.
Comment 2 Leon Koch 2003-05-26 22:55:55 EDT
ok then.
How do I change the structure of the KDE menu?

The files in /usr/share/applications are all the application links, but they
contain no information on how they are categorised into the KDE menu.

For example, how do I move an application from Internet->More Internet
Applications to just the Internet folder?

I know this can be done with kmenuedit, but that doesn't change it across the
whole system.
Comment 3 Leon Koch 2003-06-03 05:22:02 EDT
In an attempt to get a response to my previous comment, I am re-opening this bug.
Comment 4 Ngo Than 2003-06-03 07:20:43 EDT
if you want to move an application from Internet->More Internet
Applications to just the Internet folder, just replace 

Categories=Application;Network;X-Red-Hat-Extra;
to
Categories=Application;Network;X-Red-Hat-Base;

you should take a look either at https://listman.redhat.com/archives/xdg-list/
or in desktop files, if you want to know more about it.

Note You need to log in before you can comment on or make changes to this bug.